dev-db/mariadb: Version bump to 10.0.22 includes security fixes wrt bug 564442
authorBrian Evans <grknight@gentoo.org>
Thu, 29 Oct 2015 18:52:40 +0000 (14:52 -0400)
committerBrian Evans <grknight@gentoo.org>
Thu, 29 Oct 2015 18:53:13 +0000 (14:53 -0400)
Package-Manager: portage-2.2.23

dev-db/mariadb/Manifest
dev-db/mariadb/mariadb-10.0.22-r1.ebuild [new file with mode: 0644]
dev-db/mariadb/mariadb-10.0.22.ebuild [new file with mode: 0644]

index 1689a93284ea482e4d6495f020cab20c36d6c1cb..bea73bfd2303c9ff1418e1e46acdc7eba1fb847e 100644 (file)
@@ -1,4 +1,5 @@
 DIST mariadb-10.0.21.tar.gz 56216903 SHA256 4b9a32e15ceadefdb1057a02eb3e0addf702b75aef631a3c9194b832ecfa3545 SHA512 75aa4b019f3432a61483bb325a0f088ea92d6fede44d7a300c15659411c8927fa2a0586182226315b6d6796641ca1d8746f7fd49e21fe21505adec1fc38ae32f WHIRLPOOL b086fb34363b2426f5e91c14916b747787feadf37c609f4aea1f08bd235e9e97df17f5bfa0eb9e65e93fbed3df5eb6c021287c4eb987a3362ea87cf96eaf268e
+DIST mariadb-10.0.22.tar.gz 56252325 SHA256 9e17f4aaccb7069a874555cca254974d0f0103f0ad5e2434acab6aa353dafc7b SHA512 68e30de616c83be5fbcfb3c5777c1ec888d8ada0c83c5de2a49d209eb6d27931c87be82096f73372da1ebcf48eafd294f94bece039caa73c1ee6cbf26718673d WHIRLPOOL 84e08c1d336fb64dcb6bc823a465950999d395ed2a85ecf0b6cc0b4095fbb2f919f70670ec9e30fb5494ef0309966ebf2a115e4c781f0917c16806aad4b2695d
 DIST mariadb-10.1.8.tar.gz 53920483 SHA256 7cbf6a4649aa6dc9cd1dc24424ade7b994de78582ce4d47ca0f4cd1c4c003bfa SHA512 6bb282f814a0d7a6d8e06feb11a819bf9fc6f240428e4a03716a50f2291e070d789224e7f88b4b9b33a160424c4cc0b9deef96c280dcc900476ffc9888dccb45 WHIRLPOOL 65d6857a5f10880aadd391e5eff1fc2c2cc68909e94b75da7e4d52e5405d780ecfaeb4d51f6e7d1ed9a531ef206c64057a17c028d1c5e0ba85dae185234eac37
 DIST mariadb-5.5.46.tar.gz 45683962 SHA256 45b66b7adc87cad32e553df1d5211e5b6426b78a3bc318a5ccde088bf93e6e10 SHA512 91e5d3d46da9932fdd80125abf77cea411158e04212ae6dea1aa7a9260626c9dfded967af7173a152f488f38c35ff423fcba4098fa337814956c6fa8719c6080 WHIRLPOOL 7da1dc60dca37605c56291544b6d0dfc09a7a76c139b14d1277980d079251d02389efdbde56d23402d659e9c0830fd7ab7998833e1b5fcd33dcab436ea21b74c
 DIST mysql-extras-20141215-0144Z.tar.bz2 1494767 SHA256 4757043858110654d52b0e6dccab064987ab5db8ae4ae99863cf86df0b90f947 SHA512 7a9b733d09f44b1faff19a496a3e820e444b339838665e6f37c4fddc8f2ad67e805082d598c4edc06fda9364f9906e4cf95520552f72d6b6df34413f38e7a2ed WHIRLPOOL 99ea6890a5faf097b941707538b68f62390e1a49ee662a87c27435a317a9a3f37f00802e72f86b52993b3d1674b57645db0f7e73379ab88fbc1d0ef791cf4326
diff --git a/dev-db/mariadb/mariadb-10.0.22-r1.ebuild b/dev-db/mariadb/mariadb-10.0.22-r1.ebuild
new file mode 100644 (file)
index 0000000..fbba5c3
--- /dev/null
@@ -0,0 +1,127 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+MY_EXTRAS_VER="20150717-1707Z"
+HAS_TOOLS_PATCH="1"
+SUBSLOT="18"
+
+inherit toolchain-funcs mysql-multilib
+IUSE="${IUSE}"
+
+# REMEMBER: also update eclass/mysql*.eclass before committing!
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
+
+# When MY_EXTRAS is bumped, the index should be revised to exclude these.
+EPATCH_EXCLUDE=''
+
+DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )"
+RDEPEND="${RDEPEND}"
+
+# Official test instructions:
+# USE='embedded extraengine perl openssl static-libs' \
+# FEATURES='test userpriv -usersandbox' \
+# ebuild mariadb-X.X.XX.ebuild \
+# digest clean package
+multilib_src_test() {
+
+       if ! multilib_is_native_abi ; then
+               einfo "Server tests not available on non-native abi".
+               return 0;
+       fi
+
+       local TESTDIR="${BUILD_DIR}/mysql-test"
+       local retstatus_unit
+       local retstatus_tests
+
+       if use server ; then
+
+               # Bug #213475 - MySQL _will_ object strenously if your machine is named
+               # localhost. Also causes weird failures.
+               [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be named localhost"
+
+               if [[ $UID -eq 0 ]]; then
+                       die "Testing with FEATURES=-userpriv is no longer supported by upstream. Tests MUST be run as non-root."
+               fi
+               has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
+
+               einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
+               addpredict /this-dir-does-not-exist/t9.MYI
+
+               # Run CTest (test-units)
+               cmake-utils_src_test
+               retstatus_unit=$?
+               [[ $retstatus_unit -eq 0 ]] || eerror "test-unit failed"
+
+               # Create a symlink to provided binaries so the tests can find them when client-libs is off
+               if ! use client-libs ; then
+                       ln -srf /usr/bin/my_print_defaults "${BUILD_DIR}/client/my_print_defaults" || die
+                       ln -srf /usr/bin/perror "${BUILD_DIR}/client/perror" || die
+                       mysql-multilib_disable_test main.perror "String mismatch due to not building local perror"
+               fi
+
+               # Ensure that parallel runs don't die
+               export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
+               # Enable parallel testing, auto will try to detect number of cores
+               # You may set this by hand.
+               # The default maximum is 8 unless MTR_MAX_PARALLEL is increased
+               export MTR_PARALLEL="${MTR_PARALLEL:-auto}"
+
+               # create directories because mysqladmin might run out of order
+               mkdir -p "${T}"/var-tests{,/log}
+
+               # These are failing in MariaDB 10.0 for now and are believed to be
+               # false positives:
+               #
+               # main.information_schema, binlog.binlog_statement_insert_delayed,
+               # main.mysqld--help, funcs_1.is_triggers, funcs_1.is_tables_mysql,
+               # funcs_1.is_columns_mysql main.bootstrap
+               # fails due to USE=-latin1 / utf8 default
+               #
+               # main.mysql_client_test, main.mysql_client_test_nonblock
+               # main.mysql_client_test_comp:
+               # segfaults at random under Portage only, suspect resource limits.
+               #
+               # archive.mysqlhotcopy_archive main.mysqlhotcopy_myisam
+               # fails due to bad cleanup of previous tests when run in parallel
+               # The tool is deprecated anyway
+               # Bug 532288
+
+               for t in main.mysql_client_test main.mysql_client_test_nonblock \
+                       main.mysql_client_test_comp \
+                       binlog.binlog_statement_insert_delayed main.information_schema \
+                       main.mysqld--help main.bootstrap \
+                       archive.mysqlhotcopy_archive main.mysqlhotcopy_myisam \
+                       funcs_1.is_triggers funcs_1.is_tables_mysql funcs_1.is_columns_mysql ; do
+                               mysql-multilib_disable_test  "$t" "False positives in Gentoo"
+               done
+
+               # Run mysql tests
+               pushd "${TESTDIR}"
+
+               # run mysql-test tests
+               perl mysql-test-run.pl --force --vardir="${T}/var-tests" --reorder
+
+               retstatus_tests=$?
+               [[ $retstatus_tests -eq 0 ]] || eerror "tests failed"
+               has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
+
+               popd
+
+               # Cleanup is important for these testcases.
+               pkill -9 -f "${S}/ndb" 2>/dev/null
+               pkill -9 -f "${S}/sql" 2>/dev/null
+
+               failures=""
+               [[ $retstatus_unit -eq 0 ]] || failures="${failures} test-unit"
+               [[ $retstatus_tests -eq 0 ]] || failures="${failures} tests"
+               has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
+
+               [[ -z "$failures" ]] || die "Test failures: $failures"
+               einfo "Tests successfully completed"
+
+       else
+               einfo "Skipping server tests due to minimal build."
+       fi
+}
diff --git a/dev-db/mariadb/mariadb-10.0.22.ebuild b/dev-db/mariadb/mariadb-10.0.22.ebuild
new file mode 100644 (file)
index 0000000..825bd6f
--- /dev/null
@@ -0,0 +1,123 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+MY_EXTRAS_VER="20141215-0144Z"
+SUBSLOT="18"
+
+inherit toolchain-funcs mysql-multilib
+# only to make repoman happy. it is really set in the eclass
+IUSE="$IUSE"
+
+# REMEMBER: also update eclass/mysql*.eclass before committing!
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
+
+# When MY_EXTRAS is bumped, the index should be revised to exclude these.
+EPATCH_EXCLUDE=''
+
+DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )"
+RDEPEND="${RDEPEND}"
+
+# Official test instructions:
+# USE='embedded extraengine perl openssl static-libs' \
+# FEATURES='test userpriv -usersandbox' \
+# ebuild mariadb-X.X.XX.ebuild \
+# digest clean package
+multilib_src_test() {
+
+       if ! multilib_is_native_abi ; then
+               einfo "Server tests not available on non-native abi".
+               return 0;
+       fi
+
+       local TESTDIR="${BUILD_DIR}/mysql-test"
+       local retstatus_unit
+       local retstatus_tests
+
+       # Bug #213475 - MySQL _will_ object strenously if your machine is named
+       # localhost. Also causes weird failures.
+       [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be named localhost"
+
+       if ! use "minimal" ; then
+
+               if [[ $UID -eq 0 ]]; then
+                       die "Testing with FEATURES=-userpriv is no longer supported by upstream. Tests MUST be run as non-root."
+               fi
+               has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
+
+               einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
+               addpredict /this-dir-does-not-exist/t9.MYI
+
+               # Run CTest (test-units)
+               cmake-utils_src_test
+               retstatus_unit=$?
+               [[ $retstatus_unit -eq 0 ]] || eerror "test-unit failed"
+
+               # Ensure that parallel runs don't die
+               export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
+               # Enable parallel testing, auto will try to detect number of cores
+               # You may set this by hand.
+               # The default maximum is 8 unless MTR_MAX_PARALLEL is increased
+               export MTR_PARALLEL="${MTR_PARALLEL:-auto}"
+
+               # create directories because mysqladmin might right out of order
+               mkdir -p "${T}"/var-tests{,/log}
+
+               # These are failing in MariaDB 10.0 for now and are believed to be
+               # false positives:
+               #
+               # main.information_schema, binlog.binlog_statement_insert_delayed,
+               # main.mysqld--help, funcs_1.is_triggers, funcs_1.is_tables_mysql,
+               # funcs_1.is_columns_mysql main.bootstrap
+               # fails due to USE=-latin1 / utf8 default
+               #
+               # main.mysql_client_test, main.mysql_client_test_nonblock
+               # main.mysql_client_test_comp:
+               # segfaults at random under Portage only, suspect resource limits.
+               #
+               # archive.mysqlhotcopy_archive main.mysqlhotcopy_myisam
+               #
+               # archive.mysqlhotcopy_archive main.mysqlhotcopy_myisam
+               # fails due to bad cleanup of previous tests when run in parallel
+               # The tool is deprecated anyway
+               # Bug 532288
+
+               for t in main.mysql_client_test main.mysql_client_test_nonblock \
+                       main.mysql_client_test_comp \
+                       binlog.binlog_statement_insert_delayed main.information_schema \
+                       main.mysqld--help main.bootstrap \
+                       archive.mysqlhotcopy_archive main.mysqlhotcopy_myisam \
+                       funcs_1.is_triggers funcs_1.is_tables_mysql funcs_1.is_columns_mysql ; do
+                               mysql-multilib_disable_test  "$t" "False positives in Gentoo"
+               done
+
+               # Run mysql tests
+               pushd "${TESTDIR}"
+
+               # run mysql-test tests
+               perl mysql-test-run.pl --force --vardir="${T}/var-tests"
+
+               retstatus_tests=$?
+               [[ $retstatus_tests -eq 0 ]] || eerror "tests failed"
+               has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
+
+               popd
+
+               # Cleanup is important for these testcases.
+               pkill -9 -f "${S}/ndb" 2>/dev/null
+               pkill -9 -f "${S}/sql" 2>/dev/null
+
+               failures=""
+               [[ $retstatus_unit -eq 0 ]] || failures="${failures} test-unit"
+               [[ $retstatus_tests -eq 0 ]] || failures="${failures} tests"
+               has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
+
+               [[ -z "$failures" ]] || die "Test failures: $failures"
+               einfo "Tests successfully completed"
+
+       else
+
+               einfo "Skipping server tests due to minimal build."
+       fi
+}